
#ifndef GUI_H_
#define GUI_H_



#include "loc_graphics.h"
#include "images.h"
#include  "TYW_stdint.h"


typedef enum
{
    USUALLY_NULL    =   0   ,//无动作
    USUALLY_BLANK           ,//清图
    USUALLY_TRIPA           ,//TRIPA 平均油耗／平均车速显示画面
    USUALLY_TRIPB           ,//TRIPB 平均油耗／平均车速显示画面
    USUALLY_VOLTMETER       ,//电压计显示画面
    USUALLY_CALENDAR        ,//日期/时钟显示画面    
    USUALLY_TIME_TABLE      ,//计时表／油温计显示画面
    USUALLY_DPD_ACCUMULATION,//DPD堆积量显示画面
    USUALLY_DPD_REGENERATION,//DPD再生进度显示画面
    USUALLY_MAX_NUM         ,
}en_USUALLY_GROUP ;

extern void GUI_Display_KL15_ON_Init(void);
extern void GUI_Display_KL15_OFF_Init(void);
extern void GUI_Display_background(void);
extern void GUI_Display_OftenShow_Group(void);
extern void GUI_Display_UsuallyConv(en_USUALLY_GROUP Type) ;
extern void GUI_wby_test_Display(void) ;

#endif


